JBoss Native SVN: r3369 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-09-08 10:00:19 -0400 (Mon, 08 Sep 2014)
New Revision: 3369
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildbin.mod_cluster.sh
Log:
Build pcre before httpd and use ours.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2014-09-05 12:01:28 UTC (rev 3368)
+++ trunk/build/unix/build.sh 2014-09-08 14:00:19 UTC (rev 3369)
@@ -317,6 +317,10 @@
case ${BUILD_SYS} in
Linux*)
BUILD_SYS="linux2"
+ if $has_pcre; then
+ build_pcre=true
+ fi
+ # Solaris compiler could do 32 or 64 bits.
;;
SunOS*)
BUILD_SYS="solaris"
@@ -343,6 +347,9 @@
if $has_expat; then
build_expat=true
fi
+ if $has_pcre; then
+ build_pcre=true
+ fi
# Solaris compiler could do 32 or 64 bits.
if $force_64; then
if [ "xx86" = "x$BUILD_SYS" ]; then
@@ -369,6 +376,10 @@
if $has_expat; then
build_expat=true
fi
+ if $has_pcre; then
+ build_pcre=true
+ fi
+ # Solaris compiler could do 32 or 64 bits.
if [ "x${JAVA_HOME}" = "x" ]; then
JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
export JAVA_HOME
@@ -396,6 +407,10 @@
build_zlib=true
fi
fi
+ if $has_pcre; then
+ build_pcre=true
+ fi
+ # Solaris compiler could do 32 or 64 bits.
if [ $BUILD_CPU = "parisc2" ]; then
if $force_64; then
BUILD_SYS="hpux64"
@@ -519,6 +534,7 @@
export build_iconv
export build_expat
export build_zlib
+export build_pcre
export NATIVEEOL
export BUILD_SYS
@@ -1140,6 +1156,11 @@
buildany srclib/expat-${expat_version} true || return 1
fi
+ # build a static expat.
+ if $build_pcre; then
+ buildany srclib/pcre-${pcre_version} true || return 1
+ fi
+
if $build_apr; then
if $has_static ; then
buildapr srclib/apr-${apr_version} true || return 1
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2014-09-05 12:01:28 UTC (rev 3368)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2014-09-08 14:00:19 UTC (rev 3369)
@@ -82,7 +82,6 @@
--with-suexec-logfile=${_localstatedir}/log/httpd/suexec.log \
--with-suexec-bin=${_sbindir}/suexec \
--with-suexec-uidmin=500 --with-suexec-gidmin=100 \
- --with-pcre=builtin \
$* || exit 1
make clean || exit 1
make || exit 1
@@ -125,6 +124,12 @@
if $build_zlib; then
add_conf_sys="$add_conf_sys --with-z=${build_common_dir}-static/"
fi
+if $build_pcre; then
+ add_conf_sys="--with-pcre=${build_common_dir}-static/"
+else
+ add_conf_sys="$add_conf_sys --with-pcre=builtin"
+fi
+
# Process mod_jk if needed.
native_sources=srclib/`ls srclib | grep httpd-`
cd $native_sources